classification
Title: Support FreeBSD's SO_SETFIB in socketmodule.c
Type: enhancement Stage:
Components: Extension Modules Versions: Python 3.2, Python 2.7
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: larry Nosy List: kylev, larry
Priority: normal Keywords: patch

Created on 2010-03-25 23:39 by kylev, last changed 2010-04-02 11:48 by larry. This issue is now closed.

Files
File name Uploaded Description Edit
python-SO_SETFIB.patch kylev, 2010-03-25 23:39 Patch to add SO_SETFIB to socket module
Messages (3)
msg101736 - (view) Author: Kyle VanderBeek (kylev) Date: 2010-03-25 23:39
FreeBSD has a [gs]etsockopt() constant used to cause a given socket to use an alternate routing table (FIB); it appeared in FreeBSD 7.1.  It would be useful to have this exposed as a constant in the socket module to allow special routing rules in complex environments.
msg101845 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2010-03-27 19:48
Kyle asked me to look at this; I think it looks ready for checkin, so unless someone else jumps in with something to say I'll check it in in a day or two.  It's not going in to 2.6 however, just 2.7 trunk and probably 3.2.
msg102161 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2010-04-02 11:48
Committed in Python 2.7 as revision r79592
Committed in Python 3.2 as revision r79594

Thanks for the patch!
History
Date User Action Args
2010-04-02 11:48:33larrysetstatus: open -> closed
versions: + Python 3.2
messages: + msg102161

assignee: larry
resolution: accepted
2010-03-27 19:48:20larrysetnosy: + larry

messages: + msg101845
versions: - Python 2.6
2010-03-25 23:39:59kylevcreate